(function(root, factory) {
  if (typeof define === 'function' && define.amd) 
    define(['exports', 'kotlin', 'kotlinx-serialization-kotlinx-serialization-cbor-js-legacy', 'ktor-ktor-http-js-legacy', 'ktor-ktor-shared-serialization-kotlinx-js-legacy'], factory);
  else if (typeof exports === 'object') 
    factory(module.exports, require('kotlin'), require('kotlinx-serialization-kotlinx-serialization-cbor-js-legacy'), require('ktor-ktor-http-js-legacy'), require('ktor-ktor-shared-serialization-kotlinx-js-legacy'));
  else {
    if (typeof kotlin === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'. Its dependency 'kotlin' was not found. Please, check whether 'kotlin' is loaded prior to 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'.");
    }
    if (typeof this['kotlinx-serialization-kotlinx-serialization-cbor-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'. Its dependency 'kotlinx-serialization-kotlinx-serialization-cbor-js-legacy' was not found. Please, check whether 'kotlinx-serialization-kotlinx-serialization-cbor-js-legacy' is loaded prior to 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'.");
    }
    if (typeof this['ktor-ktor-http-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'. Its dependency 'ktor-ktor-http-js-legacy' was not found. Please, check whether 'ktor-ktor-http-js-legacy' is loaded prior to 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'.");
    }
    if (typeof this['ktor-ktor-shared-serialization-kotlinx-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'. Its dependency 'ktor-ktor-shared-serialization-kotlinx-js-legacy' was not found. Please, check whether 'ktor-ktor-shared-serialization-kotlinx-js-legacy' is loaded prior to 'ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'.");
    }
    root['ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'] = factory(typeof this['ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'] === 'undefined' ? {} : this['ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy'], kotlin, this['kotlinx-serialization-kotlinx-serialization-cbor-js-legacy'], this['ktor-ktor-http-js-legacy'], this['ktor-ktor-shared-serialization-kotlinx-js-legacy']);
  }
}(this, function(_, Kotlin, $module$kotlinx_serialization_kotlinx_serialization_cbor_js_legacy, $module$ktor_ktor_http_js_legacy, $module$ktor_ktor_shared_serialization_kotlinx_js_legacy) {
  'use strict';
  var Unit = Kotlin.kotlin.Unit;
  var Cbor = $module$kotlinx_serialization_kotlinx_serialization_cbor_js_legacy.kotlinx.serialization.cbor.Cbor_m8xcf6$;
  var ContentType = $module$ktor_ktor_http_js_legacy.io.ktor.http.ContentType;
  var serialization = $module$ktor_ktor_shared_serialization_kotlinx_js_legacy.io.ktor.shared.serialization.kotlinx.serialization_j6y4a4$;
  function DefaultCbor$lambda($receiver) {
    $receiver.encodeDefaults = true;
    return Unit;
  }
  var DefaultCbor;
  function cbor($receiver, cbor, contentType) {
    if (cbor === void 0) 
      cbor = DefaultCbor;
    if (contentType === void 0) 
      contentType = ContentType.Application.Cbor;
    serialization($receiver, contentType, cbor);
  }
  var package$io = _.io || (_.io = {});
  var package$ktor = package$io.ktor || (package$io.ktor = {});
  var package$shared = package$ktor.shared || (package$ktor.shared = {});
  var package$serialization = package$shared.serialization || (package$shared.serialization = {});
  var package$kotlinx = package$serialization.kotlinx || (package$serialization.kotlinx = {});
  var package$cbor = package$kotlinx.cbor || (package$kotlinx.cbor = {});
  Object.defineProperty(package$cbor, 'DefaultCbor', {
  get: function() {
  return DefaultCbor;
}});
  package$cbor.cbor_xqthpc$ = cbor;
  DefaultCbor = Cbor(void 0, DefaultCbor$lambda);
  Kotlin.defineModule('ktor-ktor-shared-serialization-kotlinx-cbor-js-legacy', _);
  return _;
}));
